THREE.WebGLShader: Shader couldn’t compile.

Description of the problem

I tested the FBXLoader of the three.js on my device.
But I got following errors.

image

It seems that out of space for the variables.
Is it impossible to run the FBX Loader on the Mail-400 GPU?

Three.js version
  • r100
Browser
  • Chrome
Hardware Requirements (graphics card, VR Device, …)

Mobile Phone (GPU. Mali-400)

Author: Fantashit

1 thought on “THREE.WebGLShader: Shader couldn’t compile.

  1. The Mail-400 is a low-end mobile GPU and over ten years old. I think the reported problem is caused by a serious of device limitations. In most cases, it takes a lot of effort to enable support for such old devices (e.g. enable medium precision support for all materials). I would mark this issue as a “Won’t fix”.

Comments are closed.